summaryrefslogtreecommitdiff
path: root/dev-ruby/sqlite3
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-28 07:14:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-28 07:14:46 +0000
commit37cea6d5ce77a6001a103aea29d246b60106ab50 (patch)
tree71abd5518f8c1968fbfb45b652f0290f94a65a5c /dev-ruby/sqlite3
parentb06ef5109f61bd9a1eb682633acc86b1d1f28b05 (diff)
downloadbaldeagleos-repo-37cea6d5ce77a6001a103aea29d246b60106ab50.tar.gz
baldeagleos-repo-37cea6d5ce77a6001a103aea29d246b60106ab50.tar.xz
baldeagleos-repo-37cea6d5ce77a6001a103aea29d246b60106ab50.zip
Adding metadata
Diffstat (limited to 'dev-ruby/sqlite3')
-rw-r--r--dev-ruby/sqlite3/Manifest1
-rw-r--r--dev-ruby/sqlite3/sqlite3-2.9.0.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/dev-ruby/sqlite3/Manifest b/dev-ruby/sqlite3/Manifest
index 59f8a3b3b5dc..7c5dbd8aad1e 100644
--- a/dev-ruby/sqlite3/Manifest
+++ b/dev-ruby/sqlite3/Manifest
@@ -3,3 +3,4 @@ DIST sqlite3-2.7.3.tar.gz 94800 BLAKE2B 08036a1078818c6e6c5c67d922aa8ebcb05dbd8f
DIST sqlite3-2.7.4.tar.gz 94824 BLAKE2B f7726bebfa44fb724c23c58b5a20c733c31a916224cefc0da2fac5390cec0c87fa2a8377e0a01fa824a4bd3dcdd7e46feecca14feb06d0265a095b0564e52a84 SHA512 eba6eb50ec017f66996e4bb4491d22579912f323aeaa6d0ec57465ddda71acefe8c12d582eb2fc8aa85691c6420ea6b30b697cf208479a40afbbc82ad7ad4f2d
DIST sqlite3-2.8.0.tar.gz 94833 BLAKE2B 6ff832dea938f3dd29a5cde3d2424202042bb993737f99a3056ea1e6707b757f404aa6b0aac87e3f46f82f6a37211319205ab024808665deda5f3a9d5aded887 SHA512 43493a5aef6c0514fa64286d35612dabca2d926abb84f6827638f3fcc81eeead1e611f5d615d3a3d30db25cb2d3267d539424a90e76e03117058e529e795ddf3
DIST sqlite3-2.8.1.tar.gz 94904 BLAKE2B c1c7f9f7cf6fa881f56e16f6896ed58885a1cab08d403ad5a9e51c8f2f146a0139eaf07058738ad98ccace8dea38f2a3cd5af4c7d98a0ac47171cc175c4e67cf SHA512 dbb3e159f4e47020601c81b472675843a96a3243d618296f0f1a314ea2fbcc24aefe4284f51831efc7084a9f341de857a6adb158679ee4f0188a29873a4b77d1
+DIST sqlite3-2.9.0.tar.gz 95483 BLAKE2B c9fa9b3a5e96366fbbf27697ad21fc6d6155b4735125f7fcd909b7539e7c6772465ac1329bfd3357464027c6a3dcb358aad725de2ab9a9dab72cdfff3ca45347 SHA512 37d0268460e1c6b847c9259bfe75becff09c28d8e9d2e8a2ce7c8bb4848f39700f2c3741bb86e846907dbeb315971188585b0c86f2d04d002ba952882a6bee39
diff --git a/dev-ruby/sqlite3/sqlite3-2.9.0.ebuild b/dev-ruby/sqlite3/sqlite3-2.9.0.ebuild
new file mode 100644
index 000000000000..c5a4d6999344
--- /dev/null
+++ b/dev-ruby/sqlite3/sqlite3-2.9.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_DOC="faq"
+RUBY_FAKEGEM_DOCDIR="doc faq"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/sqlite3/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/sqlite3
+RUBY_FAKEGEM_GEMSPEC="sqlite3.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extension library to access a SQLite database from Ruby"
+HOMEPAGE="https://github.com/sparklemotion/sqlite3-ruby"
+SRC_URI="https://github.com/sparklemotion/sqlite3-ruby/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="sqlite3-ruby-${PV}"
+LICENSE="BSD"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+# We track the bundled sqlite version here
+RDEPEND=">=dev-db/sqlite-3.51.1:3"
+DEPEND=">=dev-db/sqlite-3.51.1:3"
+
+ruby_add_bdepend "
+ doc? ( dev-ruby/rdoc )
+ test? ( dev-ruby/minitest:5 )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's/enable_config("system-libraries")/true/' ext/sqlite3/extconf.rb || die
+
+ # Remove the runtime dependency on mini_portile2. We build without
+ # it and it is not a runtime dependency for us.
+ sed -e '/mini_portile2/ s:^:#:' \
+ -e '/WARNING/ s:^:#:' \
+ -e "s/0.0.0/${PV}/" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid a failing spec for reprepares stats. Upstream indicates that
+ # the stats data should not be relied on other than for human
+ # debugging.
+ sed -e '/def test_stat_reprepares/askip "Fails on Gentoo"' \
+ -i test/test_statement.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc; then
+ rdoc --title "${P} Documentation" -o doc --main README.rdoc lib *.rdoc ext/*/*.c || die
+ rm -f doc/js/*.gz || die
+ fi
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}